Name:           dh-autoreconf
Version:        13
Release:        2%{?dist}
Summary:        debhelper add-on to call autoreconf and clean up after the build

BuildArch:      noarch
License:        GPLv2+
URL:            http://packages.debian.org/unstable/dh-autoreconf
Source0:        http://ftp.de.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.xz

BuildRequires:  perl-generators
BuildRequires:  perl(Pod::Text)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       debhelper
Requires:       autoconf
Requires:       automake
Requires:       libtool
Requires:       cdbs
# For /usr/bin/autopoint
Requires:       gettext-devel

%description
dh-autoreconf provides a debhelper sequence addon named 'autoreconf' and two
commands, dh_autoreconf and dh_autoreconf_clean.
 * The dh_autoreconf command creates a list of the files and their checksums,
   calls autoreconf and then creates a second list for the new files.
 * The dh_autoreconf_clean command compares these two lists and removes all
   files which have been added or changed (files may be excluded if needed).
For CDBS users, a rule is provided to call the dh-autoreconf programs at the
right time.


%prep
%setup -q


%build
# Build manpages
pod2man --section=1 dh_autoreconf dh_autoreconf.1
pod2man --section=1 dh_autoreconf_clean dh_autoreconf_clean.1
pod2man --section=7 dh-autoreconf.pod dh-autoreconf.7


%install
install -Dpm 0755 dh_autoreconf %{buildroot}%{_bindir}/dh_autoreconf
install -Dpm 0755 dh_autoreconf_clean %{buildroot}%{_bindir}/dh_autoreconf_clean
install -Dpm 0644 autoreconf.pm %{buildroot}%{perl_vendorlib}/Debian/Debhelper/Sequence/autoreconf.pm
install -Dpm 0644 autoreconf.mk %{buildroot}%{_datadir}/cdbs/1/rules/autoreconf.mk
install -Dpm 0644 ltmain-as-needed.diff %{buildroot}%{_datadir}/%{name}/ltmain-as-needed.diff
install -Dpm 0644 dh_autoreconf.1 %{buildroot}%{_mandir}/man1/dh_autoreconf.1
install -Dpm 0644 dh_autoreconf_clean.1 %{buildroot}%{_mandir}/man1/dh_autoreconf_clean.1
install -Dpm 0644 dh-autoreconf.7 %{buildroot}%{_mandir}/man7/dh-autoreconf.7


%files
%license debian/copyright
%{_bindir}/dh_autoreconf
%{_bindir}/dh_autoreconf_clean
%{perl_vendorlib}/*
%{_datadir}/cdbs/1/rules/autoreconf.mk
%{_datadir}/%{name}/
%{_mandir}/man1/dh_autoreconf.1*
%{_mandir}/man1/dh_autoreconf_clean.1*
%{_mandir}/man7/dh-autoreconf.7*


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 16 2017 Sandro Mani <manisandro@gmail.com> - 13-1
- Update to 13

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 12-2
- Perl 5.24 rebuild

* Sun Apr 10 2016 Sandro Mani <manisandro@gmail.com> - 12-1
- Update to 12

* Tue Feb 09 2016 Sandro Mani <manisandro@gmail.com> - 11-1
- Update to 11

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 10-2
- Perl 5.22 rebuild

* Fri Sep 26 2014 Sandro Mani <manisandro@gmail.com> - 10-1
- Update to 10

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 9-4
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 13 2014 Sandro Mani <manisandro@gmail.com> - 9-2
- Fix %%{perl_vendorlib} directory ownership

* Sun Feb 9 2014 Sandro Mani <manisandro@gmail.com> - 9-1
- Initial package
